Create a new webhook configuration

This endpoint enables you to create a webhook configuration that will monitor an event type and send updates to the URL you specify.

There are several event types you can listen to:

CASE_CREATED

Receive an update whenever a new case is created.

Note:

  • case_state is deprecated. Please use case_stage instead.
  • This webhook produces two responses v1 and v2 - please use v2 as it contains case_stage and also the customer external_identifier

Example:

{
 "api_version": "v2",
 "webhook_type": "CASE_CREATED",
 "case_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
 "case_state": "ONBOARDING_NOT_STARTED",
 "case_type": "CUSTOMER_ONBOARDING",
 "customer": {
  "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "external_identifier": "your unique customer identifier",
  "version": 1
 },
 "case_stage": {
   "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
   "display_name": "Not Started",
   "display_order": 1,
   "stage_type": "INITIAL",
   "decision_type": null
 },
 "subjects": [
   {
     "type": "CUSTOMER",
     "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
     "external_identifier": "your unique customer identifier",
     "version": "1"
   },
   {
     "type": "TRANSACTION",
     "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
     "external_identifier": "your unique transaction identifier"
   },
   {
     "type": "COUNTERPARTY",
     "external_identifier": "your unique counterparty identifier"
   }
 ]
}

CASE_STAGE_UPDATED

Receive an update whenever a case changes its stage, e.g. from "Not Started" to "In Progress".

Note:

  • case_state is deprecated. Please use case_stage instead.
  • This webhook produces two responses v1 and v2 - please use v2 as it contains case_stage and also the customer external_identifier

Example:

{
 "api_version": "v2",
 "webhook_type": "CASE_STAGE_UPDATED",
 "case_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
 "case_state": "CASE_STATE_POSITIVE_END_STATE",
 "case_type": "CUSTOMER_ONBOARDING",
 "customer": {
  "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "external_identifier": "your unique customer identifier",
  "version": 1
 },
 "note": {
  "contents": "note left at the time the case state was updated"
 },
 "case_stage": {
   "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
   "display_name": "False Positive",
   "display_order": 4,
   "stage_type": "DECISION",
   "decision_type": "POSITIVE"
 },
 "subjects": [
   {
     "type": "CUSTOMER",
     "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
     "external_identifier": "your unique customer identifier",
     "version": "1"
   },
   {
     "type": "TRANSACTION",
     "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
     "external_identifier": "your unique transaction identifier"
   },
   {
     "type": "COUNTERPARTY",
     "external_identifier": "your unique counterparty identifier"
   }
 ]
}

CASE_ALERT_LIST_UPDATED

Receive an update whenever the alert list associated with a case is updated, such as when new alerts are added to the case.

Example:

{
 "api_version": "v2",
 "account_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
 "webhook_type": "CASE_ALERT_LIST_UPDATED",
 "case_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
 "customer": {
  "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "external_identifier": "your unique customer identifier",
  "version": 1
 },
 "alert_identifiers": [
   "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
   "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
 ],
 "subjects": [
   {
     "type": "CUSTOMER",
     "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
     "external_identifier": "your unique customer identifier",
     "version": "1"
   },
   {
     "type": "TRANSACTION",
     "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
     "external_identifier": "your unique transaction identifier"
   },
   {
     "type": "COUNTERPARTY",
     "external_identifier": "your unique counterparty identifier"
   }
 ]
}

WORKFLOW_COMPLETED

Receive an update when an onboarding workflow completes.

Example:

{
  "api_version": "v2",
  "webhook_type": "WORKFLOW_COMPLETED",
  "workflow_instance_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "status": "COMPLETED",
  "step_details": {
    "alerting": {
      "identifier": null,
      "status": "COMPLETED",
      "step_output": {
      "alerts": [
          {
            "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
          }
        ]
      }
    },
    "customer-creation": {
        "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "status": "COMPLETED",
        "step_output": {
        "customer_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
      }
    },
    "customer-screening": {
      "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "status": "COMPLETED",
      "step_output": {
        "screening_result": "HAS_PROFILES",
        "aml_types": [
          "SANCTION",
          "ADVERSE_MEDIA",
          "ADVERSE_MEDIA_V2_CYBERCRIME",
          "PEP_CLASS_1",
          "PEP_CLASS_2",
          "WARNING"
        ]
      }
    },
    "initial-risk-scoring": {
        "identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "status": "COMPLETED",
        "step_output": {
        "overall_level": "LOW-RISK",
        "overall_value": 0
      }
    }
  },
  "steps": [
    "customer-creation",
    "initial-risk-scoring",
    "customer-screening",
    "alerting"
  ],
  "workflow_type": "create-and-screen"
}

TRANSACTION_REVIEWED

Receive an update when a transaction has been reviewed and either released or rejected.

Example:

{
  "api_version": "v3",
  "account_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "webhook_type": "TRANSACTION_REVIEWED",
  "transaction_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "transaction_external_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "evaluation_outcome": "HOLD",
  "review_decision": "RELEASE"
}

CUSTOMER_RISK_SCORE_CHANGED

Receive an update whenever a customer's risk score value changes.

Example:

{
  "api_version": "v3",
  "account_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "webhook_type": "CUSTOMER_RISK_SCORE_CHANGED",
  "customer_external_identifier": "your unique customer identifier",
  "risk_score": {
    "score": 75.0,
    "level": "HIGH",
    "manual_override": false,
    "categories_scores": [
      {
        "category_type": "AML",
        "score": 85.0,
        "weight": 0.5,
        "level": "HIGH",
        "risk_attributes": []
      }
    ]
  },
  "previous_risk_score": {
    "score": 50.0,
    "level": "MEDIUM",
    "manual_override": false,
    "categories_scores": []
  }
}

CUSTOMER_RISK_LEVEL_INCREASED

Receive an update whenever a customer's risk level increases (e.g., from MEDIUM to HIGH).

Example:

{
  "api_version": "v3",
  "account_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "webhook_type": "CUSTOMER_RISK_LEVEL_INCREASED",
  "customer_external_identifier": "your unique customer identifier",
  "risk_score": {
    "score": 85.0,
    "level": "HIGH",
    "manual_override": false,
    "categories_scores": []
  },
  "previous_risk_score": {
    "score": 50.0,
    "level": "MEDIUM",
    "manual_override": false,
    "categories_scores": []
  }
}

CUSTOMER_RISK_LEVEL_DECREASED

Receive an update whenever a customer's risk level decreases (e.g., from HIGH to MEDIUM).

Example:

{
  "api_version": "v3",
  "account_identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "webhook_type": "CUSTOMER_RISK_LEVEL_DECREASED",
  "customer_external_identifier": "your unique customer identifier",
  "risk_score": {
    "score": 45.0,
    "level": "MEDIUM",
    "manual_override": false,
    "categories_scores": []
  },
  "previous_risk_score": {
    "score": 80.0,
    "level": "HIGH",
    "manual_override": false,
    "categories_scores": []
  }
}

You need the "Create and update webhooks" permission to use this endpoint.

Body Params
boolean
required

This flag sets whether the webhook is in use or not. If 'true' Mesh sends updates when the monitored events take place. If 'false', Mesh will not send any updates. If unset default value will always be true.

string
required

The name of the webhook configuration.

string
enum
required

The type of webhook notification configuration being created

url
required

The client side URL that webhooks should be sent to

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Callbacks
Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json